REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single EventProduct record by its Id.
{ "CalendarEventId": 123, "Name": "<string>", "Description": "<string>", "TicketNotes": "<string>", "Visible": true, "DisplayOrder": 123, "StartDate": "<string>", "EndDate": "<string>", "Allocation": 123, "MaxTicketsPerAttendee": 123, "Sales": 123, "Price": 123, "CurrencyId": 123, "CurrencyCode": "<string>", "TaxRateId": 123, "FinancialAccountId": 123, "Tariffs": [ 123 ], "OnlyForContacts": true, "OnlyForMembers": true, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
EventProduct-Read
curl -X GET \ "https://spaces.nexudus.com/api/content/eventproducts/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "CalendarEventId": 0, "Name": "", "Description": null, "TicketNotes": null, "Visible": false, "DisplayOrder": 0, "StartDate": "2025-01-15T10:30:00Z", "EndDate": "2025-01-15T10:30:00Z", "Allocation": null, "MaxTicketsPerAttendee": null, "Sales": null, "Price": 0, "CurrencyId": 0, "CurrencyCode": null, "TaxRateId": null, "FinancialAccountId": null, "Tariffs": [], "OnlyForContacts": false, "OnlyForMembers": false, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "EventProduct Example", "LocalizationDetails": null, "CustomFields": null }